import java.awt.Window;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class HumanRobotClient extends RobotClient {
  public HumanRobotClient() {
    super();
  }

  public HumanRobotClient(Robot robot) {
    super(robot);
  }

  public void setup() {
    running = true;
    if(ui!=null) {
      if(ui instanceof Window){
        ((Window)ui).addWindowListener(new WindowAdapter() {
          public void windowClosing(WindowEvent e) {
            if(server_link!=null)
              server_link.disconnect();
            running = false;
          }
        });
        ((Window)ui).setVisible(true);
      }
    }
    if(server_link!=null)
      server_link.connect();
    setPriority(Thread.MIN_PRIORITY);
  }

  public void run() {
    setup();
    while(running) {
      updateRobot();
    }
  }
}
