import javax.swing.*;
import java.util.Vector;
import java.awt.BorderLayout;

public class RobotChooser extends JDialog {
  RobotInfoViewer info_viewer;

  public RobotChooser(JFrame owner, Vector robots) {
    super(owner, "Choose Robot", true);
    init(robots);
  }

  private void init(Vector robots) {
    info_viewer = new RobotInfoViewer();
    info_viewer.refresh(robots);
    getContentPane().add(info_viewer, BorderLayout.CENTER);

    JButton ok_button = new JButton("Ok");
    JButton cancel_button = new JButton("Cancel");
    JPanel button_panel = new JPanel();
    button_panel.add(ok_button);
    button_panel.add(cancel_button);
    getContentPane().add(button_panel, BorderLayout.SOUTH);

    //this.setUndecorated(true);
    pack();
  }
}
