public class RobotInfo {
  private static final int SONAR_DATA_SIZE_POSITION = 0;
  private static final int SONAR_DPI_POSITION = 1;
  private static final int NAME_POSITION = 2;

  private char[] info;

  public RobotInfo(char[] info) {
    this.info = info;
  }

  public char[] getInfo() {return info;}

  public char getSonarDataSize() {
    return this.info[SONAR_DATA_SIZE_POSITION];
  }

  public char getSonarDPI() {
    return this.info[SONAR_DPI_POSITION];
  }

  public String getName() {
    String name = new String(info,NAME_POSITION,info.length-NAME_POSITION);
    return name;
  }
}
