/*OPCODES*/
#define NO_OP                      0
#define HEADER                     1
#define DATA                       2
#define ACKNOWLEDGEMENT            6
#define NEGATIVE_ACKNOWLEDGEMENT   7
#define REQUEST_NEW_ROBOT_IDS      8
#define REQUEST_INFO               9
#define REQUEST_SENSOR_LAYOUT     10
#define REQUEST_SENSOR_DATA       11
#define REQUEST_SONAR_DATA        12
#define SET_ERROR_CORRECTION      13
#define SET_SENSE                 14
#define SET_SCAN_RANGE            15
#define SET_AUTO_SCAN             16
#define SCAN                      17
#define MOVE                      18
#define STOP                      19
#define OPCODES_END               20

/*MOVEMENT DIRECTIONS*/
#define NOWHERE                    0
#define MOVE_FORWARD               1
#define MOVE_BACKWARD              2
#define TURN_LEFT                  3
#define TURN_RIGHT                 4
#define BRAKE                      5
#define MOVEMENT_END               6

/*SENSORS TYPES*/
#define TIMEOUT_SENSOR             0
#define BUMP_SENSOR                1
#define IR_SENSOR                  2
#define LIGHT_SENSOR               3
#define SONAR_SENSOR               4
#define REFLECTANCE_SENSOR         5
#define BREAK_BEAM_SENSOR          6
#define SENSOR_TYPES_END           7

/*LOCATIONS*/
#define LOGIC                      0
#define FRONT                      1
#define BACK                       2
#define LEFT                       3
#define RIGHT                      4
#define FRONT_LEFT                 5
#define BACK_LEFT                  6
#define FRONT_RIGHT                7
#define BACK_RIGHT                 8
#define LEFT_FRONT                 9
#define LEFT_BACK                 10
#define RIGHT_FRONT               11
#define RIGHT_BACK                12
#define TOP_FRONT                 13
#define TOP_BACK                  14
#define TOP_LEFT                  15
#define TOP_RIGHT                 16
#define TOP_MIDDLE                17
#define LOCATIONS_END             18



