import java.util.Vector;

public interface RobotInterface
{
  public char getID();
  public String getName();
  public RobotInfo getInfo();
  public Vector getSensors();
  public char[] getSensorLayout();
  public char[] getSensorData();
  public boolean hasSonarSensor();
  public boolean isOwned();
  public boolean isReady();
  public void setInfo(RobotInfo info);
  public void setOwned(boolean owned);
  public void setSensorLayout(char[] layout);
  public void setSensorData(char[] data);
  public void setSonarData(char[] data);
}
