public class RobotLink {
  private Serial serial;

  public RobotLink(long DELAY, long TIMEOUT, boolean DEBUG) {
    serial = new Serial();
    serial.setDebug(DEBUG);
    serial.setDelay(DELAY);
    serial.setTimeout(TIMEOUT);
  }

  public void sendPacket(Packet packet) {
    serial.sendPacket(packet);
  }

  public Packet getResponse(Packet message) {
    serial.sendPacket(message);
    Packet response = new Packet();
    if(serial.receivePacket(response))
      return response;
    else
      return null;    
  }
}
