public interface ServerLink {
  public boolean connect();
  public boolean connectRobot(char robot_id);
  public void disconnect();
  public void disconnectRobot(char robot_id);
  public char[] getRobotIDs(boolean all_robots);
  public RobotInfo getRobotInfo(char robot_id);
  public char[] getRobotSensorLayout(char robot_id);
  public char[] getRobotSensorData(char robot_id);
  public boolean setSense(char robot_id, boolean sense);
  public boolean setAutoScan(char robot_id, boolean auto_scan);
  public boolean scanOnce(char robot_id);
  public boolean moveRobot(char robot_id, char direction, char distance);
  public boolean stopRobot(char robot_id);
}
